> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/retrieve-asset",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Retrieve asset

> Get asset under a specific account, under a specific Non Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/accounts/{accountId}/assets/{assetId}:
    get:
      tags:
        - Embedded Wallets
      summary: Retrieve asset
      description: >-
        Get asset under a specific account, under a specific Non Custodial
        Wallet
      operationId: GetEmbeddedWalletAsset
      parameters:
        - in: path
          name: walletId
          description: Wallet Id
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
        - in: path
          name: accountId
          description: The ID of the account
          example: '0'
          required: true
          schema:
            type: string
        - name: assetId
          required: true
          description: The ID of the asset
          example: BTC
          in: path
          schema:
            type: string
            x-fb-entity: asset
      responses:
        '200':
          description: Successful response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletAssetResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EmbeddedWalletAssetResponse>> =
            fireblocks.embeddedWallets.getEmbeddedWalletAsset(embeddedWalletsApiGetEmbeddedWalletAssetRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletAssetResponse>> response
            = fireblocks.embeddedWallets().getEmbeddedWalletAsset(walletId,
            accountId, assetId);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallet_asset(wallet_id,
            account_id, asset_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWalletAssetResponse:
      type: object
      properties:
        id:
          type: string
        symbol:
          type: string
          description: The asset symbol
          example: USDT
        name:
          type: string
          description: The asset name
          example: Tether USD
        decimals:
          type: number
          description: Number of decimals
          example: 6
        networkProtocol:
          type: string
          description: Netowrk protocol of the blockchain (BTC, ETH)
          example: ETH
        testnet:
          type: boolean
          description: Is in testnet
          example: true
        hasFee:
          type: boolean
          description: Has fee
          example: true
        baseAsset:
          type: string
          description: Base asset symbol BTC_TEST, ETH_TEST5)
          example: ETH_TEST5
        ethNetwork:
          type: string
        ethContractAddress:
          type: string
        issuerAddress:
          type: string
          example: rnDV4JiwgRNhudPY2sm65AzECpRXaasL4r
          description: >-
            The address of the issuer of this token. Will be part of the
            identifier of this token on chain.
        blockchainSymbol:
          type: string
          description: Name of blockchain
          example: BTH
        deprecated:
          type: boolean
          description: Is blockchain deprecated
          example: false
        coinType:
          type: number
          description: Unique identifier of an asset (0 for BTC, 60 for ETH, etc.)
          example: 0
        blockchain:
          type: string
          description: The blockchain native asset id which the token is deployed on
          example: ETH_TEST5
        blockchainDisplayName:
          type: string
          description: Name of blockchain
          example: BTH
        algorithm:
          type: string
          enum:
            - MPC_ECDSA_SECP256K1
            - MPC_EDDSA_ED25519
      required:
        - id
        - symbol
        - name
        - decimals
        - networkProtocol
        - testnet
        - hasFee
        - type
        - baseAsset
        - coinType
        - blockchain
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````